PAPI_get_component_index(3)

NAME
PAPI_get_component_index -

returns the component index for the named component

SYNOPSIS

Detailed Description

@retval ENOCMP
    component does not exist

@param name
           name of component to find index for
@par Examples:

        int cidx;
        cidx = PAPI_get_component_index("cuda");
    if (cidx==PAPI_OK) {
                  printf("The CUDA component is cidx %d,cidx);
               }
*

 PAPI_get_component_index() returns the component index of the named component. This is useful for finding out if a specified component exists.

See Also:
    PAPI_get_event_component

Author

Generated automatically by Doxygen for PAPI from the source code.